Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.recovery
Class ActionStatusService

    java.lang.Object
      com.arjuna.ats.arjuna.recovery.ActionStatusService

All Implemented Interfaces:
  Service

public class ActionStatusService
extends java.lang.Object
implements Service

Constructor Summary
`ActionStatusService()` Get a reference to the Transaction Store.

Method Summary
`void` | `doWork(java.io.InputStream is, java.io.OutputStream os)` Does the main work of reading in a uid and transaction type from the recovery manager, retrieving the status of the transaction and sending it back to the Recovery Manager.
`int` | `getTransactionStatus(java.lang.String transactionType, java.lang.String strUid)` Retrieve the transaction status for the specified Uid and if available transaction type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionStatusService

    public ActionStatusService()

  Get a reference to the Transaction Store.

Method Detail

### getTransactionStatus

    public int getTransactionStatus(java.lang.String transactionType,
                                    java.lang.String strUid)

  Retrieve the transaction status for the specified Uid and if available transaction type.

### doWork

    public void doWork(java.io.InputStream is,
                       java.io.OutputStream os)
                throws java.io.IOException

  Does the main work of reading in a uid and transaction type from the recovery manager, retrieving the status of the transaction and sending it back to the Recovery Manager.

  Specified by:
    `doWork` in interface `Service`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD